﻿$ErrorActionPreference = 'Stop';

$packageName    = 'unity-appletv'
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://download.unity3d.com/download_unity/9674261d40ee/TargetSupportInstaller/UnitySetup-AppleTV-Support-for-Editor-2022.3.5f1.exe'
$checksum64     = '6b79a9dbe37a24ba8fd311c139678efabf2d82f103d96a31f6f02986de1c949a'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
